pipeline:

  # Collect map data
  - common.YAMLReader:
      filename: map.yaml
      schema: MapConfig
  - common.MapProcessor
  - common.NexusWriter:
      filename: map_specdata.nxs
      force_overwrite: true

  # Integrate map detetcor data
  - common.MultipleReader:
      readers:
        - YAMLReader:
            filename: map.yaml
            schema: MapConfig
        - YAMLReader:
            filename: integration.yaml
            schema: IntegrationConfig
  - common.IntegrateMapProcessor
  - common.NexusWriter:
      filename: map_reduceddata.nxs
      force_overwrite: true
